<back to all web services

GetConnectors

The following routes are available for this service:
GET/RestApi/translations/connectors
import Foundation
import ServiceStack

public class GetConnectors : Codable
{
    required public init(){}
}

public class ConnectorsProxy : Codable
{
    public var connectors:[ConnectorProxy]
    public var languagesMapping:[String:String]

    required public init(){}
}

public class ConnectorProxy : Codable
{
    public var name:String
    public var title:String
    public var count:Int
    public var xliff:XliffProxy
    public var supportedLanguages:[LanguagePairProxy]

    required public init(){}
}

public class XliffProxy : Codable
{
    public var isXliff:Bool
    public var isFtp:Bool
    public var isMachineTranslation:Bool

    required public init(){}
}

public class LanguagePairProxy : Codable
{
    public var actualSource:LanguageProxy
    public var target:LanguageProxy

    required public init(){}
}

public class LanguageProxy : Codable
{
    public var code:String
    public var name:String
    public var count:Int

    required public init(){}
}


Swift GetConnectors DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/connectors HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{}